Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.context.externalize
Class SafeObjectInputStream

    java.lang.Object
      org.apache.axis2.context.externalize.SafeObjectInputStream

All Implemented Interfaces:
  java.io.DataInput, java.io.ObjectInput, java.io.ObjectStreamConstants

    public class SafeObjectInputStream

extends java.lang.Object
implements java.io.ObjectInput, java.io.ObjectStreamConstants

A SafeObjectInputStream reads data that was written by SafeObjectOutputStream

See Also:
  `SafeObjectInput`

Field Summary

Fields inherited from interface java.io.ObjectStreamConstants
`baseWireHandle, PROTOCOL_VERSION_1, PROTOCOL_VERSION_2, SC_BLOCK_DATA, SC_ENUM, SC_EXTERNALIZABLE, SC_SERIALIZABLE, SC_WRITE_METHOD, STREAM_MAGIC, STREAM_VERSION, SUBCLASS_IMPLEMENTATION_PERMISSION, SUBSTITUTION_PERMISSION, TC_ARRAY, TC_BASE, TC_BLOCKDATA, TC_BLOCKDATALONG, TC_CLASS, TC_CLASSDESC, TC_ENDBLOCKDATA, TC_ENUM, TC_EXCEPTION, TC_LONGSTRING, TC_MAX, TC_NULL, TC_OBJECT, TC_PROXYCLASSDESC, TC_REFERENCE, TC_RESET, TC_STRING`

Method Summary
`int` | `available()`
`void` | `close()`
`static SafeObjectInputStream` | `install(java.io.ObjectInput in)` Add the SafeObjectInputStream if necessary
`int` | `read()`
`int` | `read(byte[] b)`
`int` | `read(byte[] b, int off, int len)`
`java.util.ArrayList` | `readArrayList()` Read the input stream and place objects in an ArrayList
`boolean` | `readBoolean()`
`byte` | `readByte()`
`char` | `readChar()`
`double` | `readDouble()`
`float` | `readFloat()`
`void` | `readFully(byte[] b)`
`void` | `readFully(byte[] b, int off, int len)`
`java.util.HashMap` | `readHashMap()` Read the input stream and place the key/value pairs in a hashmap
`int` | `readInt()`
`java.lang.String` | `readLine()`
`java.util.LinkedList` | `readLinkedList()` Read the input stream and place objects in a LinkedList
`java.util.List` | `readList(java.util.List list)` Read hte input stream and place objects in the specified List
`long` | `readLong()`
`java.util.Map` | `readMap(java.util.Map map)` Read the input stream and place the key/value pairs in the indicated Map
`java.lang.Object` | `readObject()`
`short` | `readShort()`
`int` | `readUnsignedByte()`
`int` | `readUnsignedShort()`
`java.lang.String` | `readUTF()`
`long` | `skip(long n)`
`int` | `skipBytes(int n)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### install

    public static SafeObjectInputStream install(java.io.ObjectInput in)

  Add the SafeObjectInputStream if necessary

  Parameters:
    `in` -
  Returns:

### available

    public int available()
                  throws java.io.IOException

  Specified by:
    `available` in interface `java.io.ObjectInput`
  Throws:
    `java.io.IOException`

### close

    public void close()
               throws java.io.IOException

  Specified by:
    `close` in interface `java.io.ObjectInput`
  Throws:
    `java.io.IOException`

### read

    public int read()
             throws java.io.IOException

  Specified by:
    `read` in interface `java.io.ObjectInput`
  Throws:
    `java.io.IOException`

### read

    public int read(byte[] b,
                    int off,
                    int len)
             throws java.io.IOException

  Specified by:
    `read` in interface `java.io.ObjectInput`
  Throws:
    `java.io.IOException`

### read

    public int read(byte[] b)
             throws java.io.IOException

  Specified by:
    `read` in interface `java.io.ObjectInput`
  Throws:
    `java.io.IOException`

### readBoolean

    public boolean readBoolean()
                        throws java.io.IOException

  Specified by:
    `readBoolean` in interface `java.io.DataInput`
  Throws:
    `java.io.IOException`

### readByte

    public byte readByte()
                  throws java.io.IOException

  Specified by:
    `readByte` in interface `java.io.DataInput`
  Throws:
    `java.io.IOException`

### readChar

    public char readChar()
                  throws java.io.IOException

  Specified by:
    `readChar` in interface `java.io.DataInput`
  Throws:
    `java.io.IOException`

### readDouble

    public double readDouble()
                      throws java.io.IOException

  Specified by:
    `readDouble` in interface `java.io.DataInput`
  Throws:
    `java.io.IOException`

### readFloat

    public float readFloat()
                    throws java.io.IOException

  Specified by:
    `readFloat` in interface `java.io.DataInput`
  Throws:
    `java.io.IOException`

### readFully

    public void readFully(byte[] b,
                          int off,
                          int len)
                   throws java.io.IOException

  Specified by:
    `readFully` in interface `java.io.DataInput`
  Throws:
    `java.io.IOException`

### readFully

    public void readFully(byte[] b)
                   throws java.io.IOException

  Specified by:
    `readFully` in interface `java.io.DataInput`
  Throws:
    `java.io.IOException`

### readInt

    public int readInt()
                throws java.io.IOException

  Specified by:
    `readInt` in interface `java.io.DataInput`
  Throws:
    `java.io.IOException`

### readLine

    public java.lang.String readLine()
                              throws java.io.IOException

  Specified by:
    `readLine` in interface `java.io.DataInput`
  Throws:
    `java.io.IOException`

### readLong

    public long readLong()
                  throws java.io.IOException

  Specified by:
    `readLong` in interface `java.io.DataInput`
  Throws:
    `java.io.IOException`

### readObject

    public java.lang.Object readObject()
                                throws java.lang.ClassNotFoundException,
                                       java.io.IOException

  Specified by:
    `readObject` in interface `java.io.ObjectInput`
  Throws:
    `java.lang.ClassNotFoundException`
    `java.io.IOException`

### readShort

    public short readShort()
                    throws java.io.IOException

  Specified by:
    `readShort` in interface `java.io.DataInput`
  Throws:
    `java.io.IOException`

### readUnsignedByte

    public int readUnsignedByte()
                         throws java.io.IOException

  Specified by:
    `readUnsignedByte` in interface `java.io.DataInput`
  Throws:
    `java.io.IOException`

### readUnsignedShort

    public int readUnsignedShort()
                          throws java.io.IOException

  Specified by:
    `readUnsignedShort` in interface `java.io.DataInput`
  Throws:
    `java.io.IOException`

### readUTF

    public java.lang.String readUTF()
                             throws java.io.IOException

  Specified by:
    `readUTF` in interface `java.io.DataInput`
  Throws:
    `java.io.IOException`

### skip

    public long skip(long n)
              throws java.io.IOException

  Specified by:
    `skip` in interface `java.io.ObjectInput`
  Throws:
    `java.io.IOException`

### skipBytes

    public int skipBytes(int n)
                  throws java.io.IOException

  Specified by:
    `skipBytes` in interface `java.io.DataInput`
  Throws:
    `java.io.IOException`

### readHashMap

    public java.util.HashMap readHashMap()
                                  throws java.io.IOException

  Read the input stream and place the key/value pairs in a hashmap

  Returns:
    HashMap or null
  Throws:
    `java.io.IOException`
  See Also:
    `SafeObjectOutputStream.writeMap()`

### readMap

    public java.util.Map readMap(java.util.Map map)
                          throws java.io.IOException

  Read the input stream and place the key/value pairs in the indicated Map

  Parameters:
    `map` - input map
  Returns:
    map or null
  Throws:
    `java.io.IOException`
  See Also:
    `SafeObjectOutputStream.writeMap()`

### readArrayList

    public java.util.ArrayList readArrayList()
                                      throws java.io.IOException

  Read the input stream and place objects in an ArrayList

  Returns:
    ArrayList or null
  Throws:
    `java.io.IOException`
  See Also:
    `SafeObjectInputStream.writeList()`

### readLinkedList

    public java.util.LinkedList readLinkedList()
                                        throws java.io.IOException

  Read the input stream and place objects in a LinkedList

  Returns:
    LinkedList or null
  Throws:
    `java.io.IOException`
  See Also:
    `SafeObjectInputStream.writeList()`

### readList

    public java.util.List readList(java.util.List list)
                            throws java.io.IOException

  Read hte input stream and place objects in the specified List

  Parameters:
    `list` - List
  Returns:
    List or null
  Throws:
    `java.io.IOException`
  See Also:
    `SafeObjectInputStream.writeList()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.